Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.export.util
Class CommandUtils

    java.lang.Object
      com.jaspersoft.jasperserver.export.util.CommandUtils

    public class CommandUtils

extends java.lang.Object

Version:
  $Id: CommandUtils.java 9390 2007-08-07 05:25:43Z tony $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary
`static java.lang.String` | `ARG_PREFIX`
`static int` | `ARG_PREFIX_LEGTH`
`static char` | `ARG_VALUE_SEPARATOR`
`protected static org.apache.commons.logging.Log` | `log`
`static java.lang.String` | `SPRING_CONFIG_ARG`
`static java.lang.String` | `SPRING_CONFIG_FILE`
`static java.lang.String` | `VALUES_SEPARATORS`

Constructor Summary
`CommandUtils()`

Method Summary
`protected static void` | `addParameterValues(ParametersImpl params, java.lang.String param, java.lang.String argn)`
`protected static java.lang.String[]` | `breakParms(java.lang.String[] args)`
`protected static java.lang.String[]` | `checkSpringConfigs(java.lang.String[] args)`
`protected static java.lang.String` | `getSpringFiles(java.lang.String arg)`
`static Parameters` | `parse(java.lang.String[] inArgs)`
`protected static java.lang.String[]` | `preParse(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ARG_PREFIX

    public static final java.lang.String ARG_PREFIX

See Also:
  Constant Field Values

### ARG_PREFIX_LEGTH

    public static final int ARG_PREFIX_LEGTH

### ARG_VALUE_SEPARATOR

    public static final char ARG_VALUE_SEPARATOR

See Also:
  Constant Field Values

### VALUES_SEPARATORS

    public static final java.lang.String VALUES_SEPARATORS

### SPRING_CONFIG_ARG

    public static final java.lang.String SPRING_CONFIG_ARG

See Also:
  Constant Field Values

### SPRING_CONFIG_FILE

    public static final java.lang.String SPRING_CONFIG_FILE

See Also:
  Constant Field Values

### log

    protected static final org.apache.commons.logging.Log log

Constructor Detail

### CommandUtils

    public CommandUtils()

Method Detail

### parse

    public static Parameters parse(java.lang.String[] inArgs)

### preParse

    protected static java.lang.String[] preParse(java.lang.String[] args)

### checkSpringConfigs

    protected static java.lang.String[] checkSpringConfigs(java.lang.String[] args)

### getSpringFiles

    protected static java.lang.String getSpringFiles(java.lang.String arg)

### breakParms

    protected static java.lang.String[] breakParms(java.lang.String[] args)

### addParameterValues

    protected static void addParameterValues(ParametersImpl params,
                                             java.lang.String param,
                                             java.lang.String argn)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.